Bug 9615 - pump mishandles adding multiple domains to resolv.conf
pump mishandles adding multiple domains to resolv.conf
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-20 16:47 EST by Jeremy Katz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-24 12:53:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2000-02-20 16:47:35 EST
pump mishandles adding multiple domains to /etc/resolv.conf although it
receives it correctly and actually outputs the correct information when you
do pump -s.

Output from an strace
3865  send(1, "<31>Feb 20 13:36:59 pumpd[3865]: intf: domain: ncssm.net
physics.ncsu.edu linuxpower.org ncsu.edu", 97, 0) = 97
<snip>
3865  open("/etc/resolv.conf", O_WRONLY|O_CREAT|O_TRUNC, 0666) = 6
3865  fstat(6, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
3865  old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS,
-1, 0) = 0x40015000
3865  write(6, "search ncssm.net physics.ncsu.edu linuxpower.org ncsu.edu
net physics.ncsu.edu linuxpower.org ncsu.edu ncsu.edu linuxpower.org
ncsu.edu edu linuxpower.org ncsu.edu org ncsu.edu\nnameserver
192.168.1.1\n", 200) = 200
3865  close(6)                          = 0

[root@blackhole katzj]# /sbin/pump -s
Device eth0
	IP: 192.168.1.13
	Netmask: 255.255.255.0
	Broadcast: 192.168.1.255
	Network: 192.168.1.0
	Boot server 192.168.1.1
	Next server 192.168.1.1
	Gateway: 192.168.1.1
	Domain: ncssm.net physics.ncsu.edu linuxpower.org ncsu.edu
	Nameservers: 192.168.1.1
	Renewal time: Mon Feb 21 00:06:59 2000
	Expiration time: Mon Feb 21 01:36:59 2000

[root@blackhole katzj]# cat /etc/resolv.conf
search ncssm.net physics.ncsu.edu linuxpower.org ncsu.edu net \
physics.ncsu.edu linuxpower.org ncsu.edu ncsu.edu linuxpower.org ncsu.edu \
edu linuxpower.org ncsu.edu org ncsu.edu
nameserver 192.168.1.1
Comment 1 Erik Troan 2000-02-24 12:53:59 EST
The DHCP domain line is set to a DNS search path on the server, which is
improper configuration.

Note You need to log in before you can comment on or make changes to this bug.